For the complete documentation index, see llms.txt. This page is also available as Markdown.

Subscribers

For more information on how to use these endpoints see: Manage Subscribers

See Bulk Subscriber Actions for large scale subscriber updates.

Create Subscriber

post

Add a new subscriber. If given a phone number or email that already exists tied to the same account, updates the existing subscriber with new information

Required Fields: email or number

Rate Limiting

This endpoint overrides the general rate limit with an account rate limit. Requests are limited by the authenticated account instead of the IP address. This endpoint is limited to 15 requests every 15 seconds

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
firstNamestringOptional
lastNamestringOptional
emailstringOptional
numberone ofOptional
numberOptional
or
stringOptional
e164NumberstringOptional
groupIdsnumber[]Optional
employeeNumberstringOptional
welcomeMessagestringOptional
Responses
200

Success

application/json
post/subscribers
POST /v3/subscribers HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 201

{
  "firstName": "text",
  "lastName": "text",
  "email": "text",
  "number": 1,
  "e164Number": "text",
  "groupIds": [
    1
  ],
  "subscriberFields": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "employeeNumber": "text",
  "welcomeMessage": "text"
}
{
  "success": true,
  "error": "text",
  "message": "text",
  "data": {
    "id": 1,
    "firstName": "text",
    "lastName": "text",
    "email": "text",
    "number": 1,
    "e164Number": "text",
    "date": "2026-01-01T00:00:00.000Z",
    "countryId": 1,
    "groups": [
      {
        "id": 1,
        "name": "text",
        "addedToGroupAt": "2026-01-01T00:00:00.000Z"
      }
    ],
    "subscriberFieldData": [
      {
        "id": 1,
        "subscriberFieldId": 1,
        "data": "text"
      }
    ],
    "signupMethod": 1,
    "longNumber": 1,
    "carrierId": 1
  }
}

Get Subscriber

get

Rate Limiting

This endpoint overrides the general rate limit with an account rate limit. Requests are limited by the authenticated account instead of the IP address. This endpoint is limited to 15 requests every 15 seconds

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrNumberOrEmailstringRequired
Responses
200

Success

application/json
get/subscribers/{idOrNumberOrEmail}
GET /v3/subscribers/{idOrNumberOrEmail} HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "success": true,
  "error": "text",
  "message": "text",
  "data": {
    "id": 1,
    "firstName": "text",
    "lastName": "text",
    "email": "text",
    "number": 1,
    "e164Number": "text",
    "date": "2026-01-01T00:00:00.000Z",
    "countryId": 1,
    "groups": [
      {
        "id": 1,
        "name": "text",
        "addedToGroupAt": "2026-01-01T00:00:00.000Z"
      }
    ],
    "subscriberFieldData": [
      {
        "id": 1,
        "subscriberFieldId": 1,
        "data": "text"
      }
    ],
    "signupMethod": 1,
    "longNumber": 1,
    "carrierId": 1
  }
}

Update Subscriber

patch

Rate Limiting

This endpoint overrides the general rate limit with an account rate limit. Requests are limited by the authenticated account instead of the IP address. This endpoint is limited to 15 requests every 15 seconds

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrNumberOrEmailstringRequired
Body
firstNamestringOptional
lastNamestringOptional
emailstringOptional
numberone ofOptional
numberOptional
or
stringOptional
e164NumberstringOptional
groupIdsnumber[]Optional
employeeNumberstringOptional
welcomeMessagestringOptional
Responses
200

Success

application/json
patch/subscribers/{idOrNumberOrEmail}
PATCH /v3/subscribers/{idOrNumberOrEmail} HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 201

{
  "firstName": "text",
  "lastName": "text",
  "email": "text",
  "number": 1,
  "e164Number": "text",
  "groupIds": [
    1
  ],
  "subscriberFields": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "employeeNumber": "text",
  "welcomeMessage": "text"
}
{
  "success": true,
  "error": "text",
  "message": "text",
  "data": {
    "id": 1,
    "firstName": "text",
    "lastName": "text",
    "email": "text",
    "number": 1,
    "e164Number": "text",
    "date": "2026-01-01T00:00:00.000Z",
    "countryId": 1,
    "groups": [
      {
        "id": 1,
        "name": "text",
        "addedToGroupAt": "2026-01-01T00:00:00.000Z"
      }
    ],
    "subscriberFieldData": [
      {
        "id": 1,
        "subscriberFieldId": 1,
        "data": "text"
      }
    ],
    "signupMethod": 1,
    "longNumber": 1,
    "carrierId": 1
  }
}

Delete Subscriber

delete

Rate Limiting

This endpoint overrides the general rate limit with an account rate limit. Requests are limited by the authenticated account instead of the IP address. This endpoint is limited to 15 requests every 15 seconds

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrNumberOrEmailstringRequired
Responses
200

Success

application/json
delete/subscribers/{idOrNumberOrEmail}
DELETE /v3/subscribers/{idOrNumberOrEmail} HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "success": true,
  "error": "text",
  "message": "text",
  "data": null
}

List Subscribers

get

List all subscribers and query for subscribers. Includes all subscribers with query value in either first name, last name, number, email, or custom subscriber fields and with filters values in respective categories.

Rate Limiting

This endpoint overrides the general rate limit with an account rate limit. Requests are limited by the authenticated account instead of the IP address. This endpoint is limited to 15 requests every 15 seconds

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pagenumberOptional
pageSizenumberOptional
sortDirectionstring · enumOptionalPossible values:
querystringOptional
sortBystringOptional
allSubscribersbooleanOptional
Responses
200

Success

application/json
get/subscribers
GET /v3/subscribers HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "success": true,
  "error": "text",
  "message": "text",
  "data": {
    "rows": [
      {
        "id": 1,
        "firstName": "text",
        "lastName": "text",
        "email": "text",
        "number": 1,
        "e164Number": "text",
        "date": "2026-01-01T00:00:00.000Z",
        "countryId": 1,
        "groups": [
          {
            "id": 1,
            "name": "text",
            "addedToGroupAt": "2026-01-01T00:00:00.000Z"
          }
        ],
        "subscriberFieldData": [
          {
            "id": 1,
            "subscriberFieldId": 1,
            "data": "text"
          }
        ],
        "signupMethod": 1,
        "longNumber": 1,
        "carrierId": 1
      }
    ],
    "page": 1,
    "pageSize": 1,
    "total": 1
  }
}

Export Subscribers

get

Rate Limiting

This endpoint overrides the general rate limit with an account rate limit. Requests are limited by the authenticated account instead of the IP address. This endpoint is limited to 15 requests every 15 seconds

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
querystringOptional
Responses
200

Success

application/json
get/subscribers/export
GET /v3/subscribers/export HTTP/1.1
Host: api.mobile-text-alerts.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "success": true,
  "error": "text",
  "message": "text",
  "data": {
    "url": "text"
  }
}

Last updated

Was this helpful?